import { Base, Type } from "./type";
import { List$1 } from "./List$1";
import { SectionData } from "./SectionData";
import { IDataSource } from "./IDataSource";
import { DataSourceSectionHeaderDisplayMode } from "./DataSourceSectionHeaderDisplayMode";
/**
 * @hidden
 */
export declare class SectionMap extends Base {
    static $t: Type;
    constructor();
    private a;
    private h;
    private i;
    private o;
    get p(): List$1<SectionData>;
    get q(): number;
    get n(): boolean;
    private l;
    private m;
    private k;
    d(a: number): SectionData;
    private e;
    private g;
    r(): void;
    x(a: SectionData, b: number, c: number): void;
    w(a: SectionData, b: number, c: number): void;
    t(a: number): void;
    aa(a: number, b: IDataSource, c: any, d: string[], e: DataSourceSectionHeaderDisplayMode, f: boolean): void;
    y(a: SectionData, b: number, c: number): void;
    v(a: number, b: SectionData): void;
    z(a: number): void;
    private static s;
    c(): SectionData;
    b(): SectionData;
    u(): void;
    private j;
    f(a: number): SectionData;
}
